Key | Default | Type | Description
--- | --- | --- | ---

##### metrics.reporter.influxdb.connectTimeout

10 s

Duration

(optional) the InfluxDB connect timeout for metrics

##### metrics.reporter.influxdb.consistency

ONE

Enum

(optional) the InfluxDB consistency level for metrics
Possible values:

- "ALL"
- "ANY"
- "ONE"
- "QUORUM"

##### metrics.reporter.influxdb.db

(none)

String

the InfluxDB database to store metrics

##### metrics.reporter.influxdb.host

(none)

String

the InfluxDB server host

##### metrics.reporter.influxdb.password

(none)

String

(optional) InfluxDB username's password used for authentication

##### metrics.reporter.influxdb.port

8086

Integer

the InfluxDB server port

##### metrics.reporter.influxdb.retentionPolicy

(none)

String

(optional) the InfluxDB retention policy for metrics

##### metrics.reporter.influxdb.scheme

http

Enum

the InfluxDB schema
Possible values:

- "http"
- "https"

##### metrics.reporter.influxdb.username

(none)

String

(optional) InfluxDB username used for authentication

##### metrics.reporter.influxdb.writeTimeout

10 s

Duration

(optional) the InfluxDB write timeout for metrics